## AnacondaTimezoneMap

AnacondaTimezoneMap — An interactive map for timezone selection

## Functions

GtkWidget * | anaconda_timezone_map_new ()
gboolean | anaconda_timezone_map_set_timezone ()
gchar * | anaconda_timezone_map_get_timezone ()

## Signals

void | timezone-changed | Run First

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── AnacondaTimezoneMap

## Description

A AnacondaTimezoneMap is a widget that can be used for timezone selection. The most important is the ::timezone-changed signal that includes the newly selected timezone.

## Functions

### anaconda_timezone_map_new ()

    GtkWidget *
    anaconda_timezone_map_new (void);

Creates a new AnacondaTimezoneMap.

#### Returns

A new AnacondaTimezoneMap

### anaconda_timezone_map_set_timezone ()

    gboolean
    anaconda_timezone_map_set_timezone (AnacondaTimezoneMap *map,
                                        const gchar *timezone,
                                        gboolean no_signal);

Modifies the map to show `timezone` as selected. Also modifies the internal data of the `map` .

#### Parameters

map | an AnacondaTimezoneMap |
timezone | timezone name |
no_signal | whether the timezone-changed signal should be emitted or not |

#### Returns

Whether the change was successfully completed.

[transfer none]

### anaconda_timezone_map_get_timezone ()

    gchar *
    anaconda_timezone_map_get_timezone (AnacondaTimezoneMap *map);

#### Parameters

map | an AnacondaTimezoneMap |

#### Returns

the selected timezone.

[transfer none]

## Types and Values

## Signal Details

### The `“timezone-changed”` signal

    void
    user_function (AnacondaTimezoneMap *anacondatimezonemap,
                   gchar               *arg1,
                   gpointer             user_data)

Flags: Run First